### Hierarchy

- OfferRepositoryImpl

### Implements

- OfferRepository

## Index

### Constructors

- constructor

### Methods

- create
- deleteById
- getAllOffer
- getOfferByOwner
- getOfferByOwnerAndId
- getOfferByOwnerAndPage
- getOffersByOwnerAndTag
- getOffersByPage
- shallowUpdate
- update

## Constructors

### constructor

- new OfferRepositoryImpl(transport: HttpTransport): OfferRepositoryImpl

- - Defined in repository/offer/OfferRepositoryImpl.ts:15

  #### Parameters

  - ##### transport: HttpTransport

  #### Returns OfferRepositoryImpl

## Methods

### create

- create(owner: string, offer: Offer): Promise<Offer>

- Implementation of OfferRepository.create

  - Defined in repository/offer/OfferRepositoryImpl.ts:21

  #### Parameters

  - ##### owner: string

  - ##### offer: Offer

  #### Returns Promise<Offer>

### deleteById

- deleteById(owner: string, id: number): Promise<number>

- Implementation of OfferRepository.deleteById

  - Defined in repository/offer/OfferRepositoryImpl.ts:45

  #### Parameters

  - ##### owner: string

  - ##### id: number

  #### Returns Promise<number>

### getAllOffer

- getAllOffer(): Promise<Array<Offer>>

- Implementation of OfferRepository.getAllOffer

  - Defined in repository/offer/OfferRepositoryImpl.ts:90
  deprecated
  see

    getOffersByPage

  #### Returns Promise<Array<Offer>>

### getOfferByOwner

- getOfferByOwner(owner: string): Promise<Array<Offer>>

- Implementation of OfferRepository.getOfferByOwner

  - Defined in repository/offer/OfferRepositoryImpl.ts:60

  #### Parameters

  - ##### owner: string

  #### Returns Promise<Array<Offer>>

### getOfferByOwnerAndId

- getOfferByOwnerAndId(owner: string, id: number): Promise<Array<Offer>>

- Implementation of OfferRepository.getOfferByOwnerAndId

  - Defined in repository/offer/OfferRepositoryImpl.ts:53

  #### Parameters

  - ##### owner: string

  - ##### id: number

  #### Returns Promise<Array<Offer>>

### getOfferByOwnerAndPage

- getOfferByOwnerAndPage(owner: string, page?: number, size?: number): Promise<Page<Offer>>

- Implementation of OfferRepository.getOfferByOwnerAndPage

  - Defined in repository/offer/OfferRepositoryImpl.ts:67

  #### Parameters

  - ##### owner: string

  - ##### Optional page: number

  - ##### Optional size: number

  #### Returns Promise<Page<Offer>>

### getOffersByOwnerAndTag

- getOffersByOwnerAndTag(owner: string, tag: string): Promise<Array<Offer>>

- Implementation of OfferRepository.getOffersByOwnerAndTag

  - Defined in repository/offer/OfferRepositoryImpl.ts:97

  #### Parameters

  - ##### owner: string

  - ##### tag: string

  #### Returns Promise<Array<Offer>>

### getOffersByPage

- getOffersByPage(page?: number, size?: number): Promise<Page<Offer>>

- Implementation of OfferRepository.getOffersByPage

  - Defined in repository/offer/OfferRepositoryImpl.ts:77

  #### Parameters

  - ##### Optional page: number

  - ##### Optional size: number

  #### Returns Promise<Page<Offer>>

### shallowUpdate

- shallowUpdate(owner: string, id: number, offer: Offer): Promise<Offer>

- Implementation of OfferRepository.shallowUpdate

  - Defined in repository/offer/OfferRepositoryImpl.ts:37

  #### Parameters

  - ##### owner: string

  - ##### id: number

  - ##### offer: Offer

  #### Returns Promise<Offer>

### update

- update(owner: string, id: number, offer: Offer): Promise<Offer>

- Implementation of OfferRepository.update

  - Defined in repository/offer/OfferRepositoryImpl.ts:29

  #### Parameters

  - ##### owner: string

  - ##### id: number

  - ##### offer: Offer

  #### Returns Promise<Offer>

Generated using TypeDoc